GET /api/operator/tax

Every deposit paid from one date up to and including another, one line per receipt with net, VAT and total, a summary per currency and basis, and the same as CSV for the bookkeeping.

Surface: operator. Who may call: operator. Key: operator.tax.export.

Example request

curl -X GET https://caremcp.com/api/operator/tax?from=2026-07-01&to=2026-09-30 \
  -H "Authorization: Bearer <operator token>"

Example input

{
  "from": "2026-07-01",
  "to": "2026-09-30"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "from": {
   "$ref": "#/$defs/__schema0"
  },
  "to": {
   "$ref": "#/$defs/__schema0"
  }
 },
 "required": [
  "from",
  "to"
 ],
 "$defs": {
  "__schema0": {
   "type": "string",
   "format": "date",
   "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"
  }
 }
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "lines": {
   "type": "array",
   "items": {
    "type": "object",
    "properties": {
     "receiptNumber": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "paidOn": {
      "type": "string",
      "format": "date",
      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"
     },
     "ref": {
      "type": "string"
     },
     "payer": {
      "type": "string",
      "enum": [
       "client",
       "organisation"
      ]
     },
     "country": {
      "type": "string"
     },
     "vatNumber": {
      "type": [
       "string",
       "null"
      ]
     },
     "currency": {
      "type": "string",
      "enum": [
       "USD",
       "EUR"
      ]
     },
     "netCents": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "vatPercent": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "vatCents": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "grossCents": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "basis": {
      "type": "string",
      "enum": [
       "domestic",
       "eu-consumer",
       "reverse-charge",
       "outside-eu"
      ]
     }
    },
    "required": [
     "receiptNumber",
     "paidOn",
     "ref",
     "payer",
     "country",
     "vatNumber",
     "currency",
     "netCents",
     "vatPercent",
     "vatCents",
     "grossCents",
     "basis"
    ],
    "additionalProperties": false
   }
  },
  "summary": {
   "type": "array",
   "items": {
    "type": "object",
    "properties": {
     "currency": {
      "type": "string",
      "enum": [
       "USD",
       "EUR"
      ]
     },
     "basis": {
      "type": "string",
      "enum": [
       "domestic",
       "eu-consumer",
       "reverse-charge",
       "outside-eu"
      ]
     },
     "vatPercent": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "count": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "netCents": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "vatCents": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     },
     "grossCents": {
      "type": "integer",
      "minimum": -9007199254740991,
      "maximum": 9007199254740991
     }
    },
    "required": [
     "currency",
     "basis",
     "vatPercent",
     "count",
     "netCents",
     "vatCents",
     "grossCents"
    ],
    "additionalProperties": false
   }
  },
  "csv": {
   "type": "string"
  }
 },
 "required": [
  "lines",
  "summary",
  "csv"
 ],
 "additionalProperties": false
}